cURL
curl --request POST \
--url https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"requestId": "12345678-1234-4123-8123-123456789abc"
}'import requests
url = "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests"
payload = { "requestId": "12345678-1234-4123-8123-123456789abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '12345678-1234-4123-8123-123456789abc'})
};
fetch('https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '12345678-1234-4123-8123-123456789abc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests"
payload := strings.NewReader("{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"sessionId": "chat_test_1"
}
}Start TFU Live chat test
Create a test conversation using the same rep and simulated delivery as the Chat tab. Reuse the UUID requestId to avoid creating a second conversation after an uncertain response. Test usage follows normal test billing; it is separate from agent creation pricing.
Required scope: agents:write.
Required API key scope: agents:write.
POST
/
api
/
tfu-live-agents
/
{id}
/
chat-tests
cURL
curl --request POST \
--url https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"requestId": "12345678-1234-4123-8123-123456789abc"
}'import requests
url = "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests"
payload = { "requestId": "12345678-1234-4123-8123-123456789abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '12345678-1234-4123-8123-123456789abc'})
};
fetch('https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '12345678-1234-4123-8123-123456789abc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests"
payload := strings.NewReader("{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamfollowup.ai/api/tfu-live-agents/{id}/chat-tests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"12345678-1234-4123-8123-123456789abc\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"sessionId": "chat_test_1"
}
}Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Path Parameters
TFU Live agent id. Never use an ordinary provider agent id.
Query Parameters
Sub-account belonging to the authenticated agency and any narrower credential location binding.
Body
application/json
The complete TFU Live authored agent or an explicit draft.
⌘I
